﻿Enumeration
  #VCSDK
EndEnumeration

Enumeration EVReportPrintType
  #kToUnknown
  #kToMetafile
  #kToPostscript
  #kToPDF
  #kToHTML
  #kToLatex
  #kToSVG
  #kToPicture_GIF  = 100
  #kToPicture_JPG  = 101
  #kToPicture_PNG  = 102
  #kToPicture_TIFF = 103
  #kToPicture_BMP  = 104  
EndEnumeration

Procedure Valentina_Init( inCacheSize.i = 10 * 1024 * 1024, inMacSN.s = "", inWinSN.s = "", inUnixSN.s = "" )
  
  *bMacSN  = UTF8( inMacSN  )
  *bWinSN  = UTF8( inWinSN  )
  *bUnixSN = UTF8( inUnixSN )
  
  CallFunction( #VCSDK, "Valentina_Init", inCacheSize, *bMkey, *bWkey, *bLkey )
  
  FreeMemory( *bMacSN  )
  FreeMemory( *bWinSN  )
  FreeMemory( *bUnixSN )
  
EndProcedure

Procedure Valentina_InitReports( inMacSN.s = "", inWinSN.s = "", inUnixSN.s = "" )
  
  *bMacSN  = UTF8( inMacSN  )
  *bWinSN  = UTF8( inWinSN  )
  *bUnixSN = UTF8( inUnixSN )
  
  CallFunction( #VCSDK, "Valentina_InitReports", *bMacSN, *bWinSN, *bUnixSN )
  
  FreeMemory( *bMacSN  )
  FreeMemory( *bWinSN  )
  FreeMemory( *bUnixSN )
  
EndProcedure

Procedure Valentina_Shutdown()
  CallFunction( #VCSDK, "Valentina_Shutdown" )
EndProcedure

Procedure Valentina_ShutdownReports()
  CallFunction( #VCSDK, "Valentina_ShutdownReports" )
EndProcedure

Procedure.i Project_New( inProjectLocation.s )
  
  *bProjectLocation = UTF8( inProjectLocation )
  
  res.i = CallFunction( #VCSDK,"Project_New", *bProjectLocation )
  
  FreeMemory( *bProjectLocation )
  
  ProcedureReturn res
  
EndProcedure

Procedure Project_Free( inProject.i )
  CallFunction( #VCSDK, "Project_Free", inProject )
EndProcedure

Procedure.i Project_Open( inProject.i )
  CallFunction( #VCSDK, "Project_Open", inProject )
EndProcedure

Procedure Project_Close( inProject.i )
  CallFunction( #VCSDK, "Project_Close", inProject )
EndProcedure

Procedure.i Project_MakeNewReportByNameWithDatasource( inProject.i, inName.s, inDatasource.s, inQuery.s )

  *bName       = UTF8( inName       )
  *bDatasource = UTF8( inDatasource )
  *bQuery      = UTF8( inQuery      )
  
  res = CallFunction( #VCSDK, "Project_MakeNewReportByNameWithDatasource", inProject, *bName, *bDatasource, *bQuery )
  
  FreeMemory( *bName       )
  FreeMemory( *bDatasource )
  FreeMemory( *bQuery      )
  
  ProcedureReturn res
  
EndProcedure

Procedure Report_Free( inReport.i )
  CallFunction( #VCSDK, "Report_Free", inReport )
EndProcedure

Procedure Report_PrintToDisk( inReport.i, inLocation.s, inFormat.i, inFromPage.i = 1, inToPage.i = 0 )
  
  *bLocation = UTF8( inLocation )
  
  CallFunction( #VCSDK,"Report_PrintToDisk", inReport, *bLocation, inFormat, inFromPage, inToPage )
  
  FreeMemory( *bLocation )
  
EndProcedure
; IDE Options = PureBasic 5.62 (MacOS X - x64)
; CursorPosition = 68
; FirstLine = 48
; Folding = --
; EnableXP